Subject: RE: [Megaco] Megaco Add

From: Ramesh Babu Kuppili <[email-masked]>
Date: Mon, 10 Dec 2007 13:53:52 +0530

Raphael,
 
Thanks for the response.  I don't see any retransmission of the "Add" request from the MGC.  Which means that the reply did reach MGC in time.  I would like to add that all the requests coming from MGC after Add response (on context 3) are coming on NULL context.
 
- ramesh

 _____ 
From: Raphael Tryster [mailto:[email-masked]] Sent: Monday, December 10, 2007 12:35 PMTo: Ramesh Babu Kuppili; [email-masked]: RE: [Megaco] Megaco Add
This looks like incorrect behaviour on the part of the MGC.  If a termination is in a context, the Megaco messages must reflect that fact.  Can you verify that the MGC receives your reply to Add before it sends these additional requests referring to A6 in the null context?
 
Raphael Tryster
 
-----Original Message-----From: Ramesh Babu Kuppili [mailto:[email-masked]] Sent: Monday, December 10, 2007 6:53 AMTo: [email-masked]: [Megaco] Megaco Add
 
Hello,
 
I have a question regarding Megaco "Add" request:
 
The following is the "Add" request i am receiving from MGC:
 
!/1 [10.129.32.20]:2944 T=369464064{C=${A=A6{M{O{MO=IN,RV=OFF,RG=OFF}},E=369102350{dd/std{tl=*},al/*},SG{}},
    A=${M{O{MO=RC,RV=OFF,RG=OFF,nt/jit=40,bcp/bncchar=IP/RTP},
        L{v=0 c=IN IP4 $
            m=audio $ RTP/AVP 8
            a=ptime:20}}}}
 
And i sent the following reply to the above "Add" request.
 
!/1 [172.150.5.5]:2944 P=369464064{C=3{a=A6 ,a=EA6/ep2{m{l{
v=0
o=- 1197223375 1197223375 IN IP4 172.150.5.5
s=-
c=IN IP4 172.150.5.5
m=audio 49156 RTP/AVP 8
a=ptime:20
}}}}
 
Please note that MGC has asked the MG to choose a context.  And MG has sent reply on context = 3.
 
However any further messages on the TERM (A6) is still coming on NULL context.  Is it correct for MGC to send messages on NULL context after MG has responded to a Add with a valid context.  Is there a issue with the Add reply sent to MGC.  I could not figure this out.  Thanks in advance .
 
- ramesh
 _____ 
IMPORTANT: The contents of this email and any attachments are confidential. They are intended for the named recipient(s) only.If you have received this email in error, please notify the system manager or the sender immediately and do not disclose the contents to anyone or make copies thereof.*** eSafe scanned this email for viruses, vandals, and malicious content. *** 
 _____ 
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco